Apply by doing:
	/usr/src
	patch -p0 < 007_rtsock.patch

Then build and install a new kernel.

Index: sys/net/rtsock.c
===================================================================
RCS file: /cvs/src/sys/net/rtsock.c,v
retrieving revision 1.105
diff -u -p -r1.105 rtsock.c
--- sys/net/rtsock.c	14 Jul 2010 20:56:35 -0000	1.105
+++ sys/net/rtsock.c	13 Jan 2011 14:59:27 -0000
@@ -820,6 +820,8 @@ flush:
 			rtm->rtm_flags |= RTF_DONE;
 		}
 	}
+	if (dst)
+		route_proto.sp_protocol = dst->sa_family;
 	if (rt)
 		rtfree(rt);
 
@@ -838,8 +840,6 @@ flush:
 	}
 	if (rp)
 		rp->rcb_proto.sp_family = 0; /* Avoid us */
-	if (dst)
-		route_proto.sp_protocol = dst->sa_family;
 	if (rtm) {
 		m_copyback(m, 0, rtm->rtm_msglen, rtm, M_NOWAIT);
 		if (m->m_pkthdr.len < rtm->rtm_msglen) {
